Bug 213906 - Review Request: Pound - a reverse proxy and load balancer
Review Request: Pound - a reverse proxy and load balancer
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aurelien Bompard
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT
  Show dependency treegraph
 
Reported: 2006-11-03 13:14 EST by Ruben Kerkhof
Modified: 2014-04-07 08:17 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-14 13:44:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ruben Kerkhof 2006-11-03 13:14:44 EST
Spec URL: http://rubenkerkhof.com/packages/pound/Pound.spec
SRPM URL: http://rubenkerkhof.com/packages/pound/Pound-2.1.5-1.src.rpm
Description:
The Pound program is a reverse proxy, load balancer and
HTTPS front-end for Web server(s). Pound was developed
to enable distributing the load among several Web-servers
and to allow for a convenient SSL wrapper for those Web
servers that do not offer it natively. Pound is distributed
under the GPL - no warranty, it's free to use, copy and
give away.
Comment 1 Ruben Kerkhof 2006-11-03 13:18:54 EST
This is my first package, and I'm looking for a sponsor.
Comment 2 Aurelien Bompard 2006-11-04 12:01:56 EST
Needswork :
 - Do not repeat the name in the Summary
 - Please create an init script for pound (you can base it on
/etc/init.d/transparent-proxying in the squidGuard package for example)
 - Please make a default config file for /etc/pound.cfg, with a very basic setup
(like the second example in the pound(8) man page), but with the control socket
and running as a different user
  -> This implies that you create a directory for Pound's control sockets, for
example /var/lib/pound, and that you own it in the rpm
  -> It also implies that you create a pound user in %pre, see the Zope package
for an example)

Possible improvements:
 - Generate a dummy SSL cert in /etc/pki/tls/certs/pound.pem, you can look at
the %post script in the openldap-servers package for a way to do it.
 - Add an SELinux policy, but that's a bit more complicated
Comment 3 Ruben Kerkhof 2006-11-07 16:50:37 EST
Thanks for the review Aurelien.

I've added everything you asked, except for the SELinux policy.
Upstream changed to 2.1.6 in the meantime, so I did as well.

http://rubenkerkhof.com/packages/pound/Pound.spec
http://rubenkerkhof.com/packages/pound/Pound-2.1.6-1.src.rpm

Regards,

Ruben
Comment 4 Aurelien Bompard 2006-11-08 07:26:56 EST
Review for release 1:
* RPM name is OK
* Source Pound-2.1.6.tgz is the same as upstream
* This is the latest version
* Builds fine in mock
* File list looks OK
* Config files of Pound looks OK
* Works fine

Minor:
* rpmlint says "macro-in-%changelog". Please replace %post with %%post to avoid
warning.
* Please replace /usr/sbin with %{_sbindir} in Requires(pre).

APPROVED

You can now go on with the sponsorship procedure :
http://fedoraproject.org/wiki/Extras/Contributors#GetAFedoraAccount
Comment 5 Ruben Kerkhof 2006-11-08 18:13:30 EST
Ok, I'll do that.

Created a new package with the above errors fixed.
http://rubenkerkhof.com/packages/pound/Pound-2.1.6-1.src.rpm
Comment 6 Ruben Kerkhof 2006-11-08 18:17:02 EST
Sorry, wrong link.
It's at http://rubenkerkhof.com/packages/pound/Pound-2.1.6-2.src.rpm
and the updated spec:
http://rubenkerkhof.com/packages/pound/Pound.spec
Comment 7 Lubomir Rintel 2014-04-07 07:55:05 EDT
Package Change Request
======================
Package Name: Pound
New Branches: epel7
Owners: lkundrak wolfy

The EL-6 branch maintainer (wolfy) did not respond to private mails, IRC, a public non-responsive maintainer call via fedora-devel list, nor does his sponsor know a way to contact him) :( Adding him a as a co-maint so that he can step in if he's active again.
Comment 8 Gwyn Ciesla 2014-04-07 08:17:49 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.